      PROGRAM helloworld
          IMPLICIT NONE
          INCLUDE "mpif.h"

          INTEGER :: number_of_processes, my_rank
          INTEGER :: mpi_error_code

          CALL MPI_Init(mpi_error_code)
          CALL MPI_Comm_size(MPI_COMM_WORLD, number_of_processes,             &
      &            mpi_error_code)
          CALL MPI_Comm_rank(MPI_COMM_WORLD, my_rank,                         &
      &            mpi_error_code)

          PRINT *, my_rank, " of ", number_of_processes,                      &
      &       ": Hello, world!"

          CALL MPI_Finalize(mpi_error_code)
      END PROGRAM helloworld

